{% extends "combio_app/base.html" %} {% load i18n %} {% load static %}
  {% block container %}
<div class="grid">

  <form method="post" action="{% url 'account_signup' %}">
    {% csrf_token %}
    <div
      class="w-[520px] px-8 py-6 m-auto"
    >
      <div>
        <div class="mt-4">
          <div class="grid grid-cols-12 mb-8 mt-8">
            <div class="col-span-1"></div>
            <div class="col-span-3 place-content-right">
              <img
                class="object-contain w-24 place-self-right"
                src="{% static 'combio_app/images/mpiwg_logo_single.png' %}"
              />
            </div>
            <div class="col-span-7 text-l flex h-full">
              <div class="place-self-center">
                <div class="w-full font-bold pl-4">
                  MAX-PLANCK INSTITUTE FOR THE HISTORY OF SCIENCE
                </div>
                <span class="w-full pl-4 italic">Commoning Biomedicine</span>
              </div>
            </div>
            <div class="col-span-1"></div>
          </div>
          <span class="text-3xl mb-6 text-mpiwg-green text-center">Sign Up</span><br/><br/>
          <span class="mt-4">
            Already have an account? Then please
            <a href="{{ login_url }}" class="underline text-mpiwg-green">login</a> first.
          </span>
          <div class="mt-4">
            <label class="block mt-4 font-bold" for="username">Username</label>
            <span class="italic text-red-500"
              >{{ form.username.errors | safe }}</span
            >
            <input
              type="text"
              placeholder="Username"
              id="id_username"
              name="username"
              autofocus
              {% if form.username.value %}
              value="{{form.username.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
          </div>
            <div class="mt-4">
            <label class="block mt-4 font-bold" for="email">Email</label>
            <span class="italic text-red-500"
              >{{ form.email.errors | safe }}</span
            >
            <input
              type="text"
              placeholder="Email"
              id="id_email"
              name="email"
              {% if form.email.value %}
              value="{{form.email.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
          </div>
            <div class="mt-4">
            <label class="block mt-4 font-bold" for="first_name">First Name</label>
            <span class="italic text-red-500"
              >{{ form.first_name.errors | safe }}</span
            >
            <input
              type="text"
              placeholder="First Name"
              id="id_first_name"
              name="first_name"
              {% if form.first_name.value %}
              value="{{form.first_name.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
          </div>
            <div class="mt-4">
            <label class="block mt-4 font-bold" for="last_name">Last Name</label>
            <span class="italic text-red-500"
              >{{ form.last_name.errors | safe }}</span
            >
            <input
              type="text"
              placeholder="Last Name"
              id="id_last_name"
              name="last_name"
              {% if form.last_name.value %}
              value="{{form.last_name.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
          </div>
          <div class="mt-4">
            <label class="block font-bold">Password</label>
            <span class="italic text-red-500"
              >{{ form.password1.errors | safe }}</span
            >
            <input
              type="password"
              id="id_password1"
              name="password1"
              placeholder="Password"
              {% if form.password1.value %}
              value="{{form.password1.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-blue-600"
            />
          </div>
          <div class="mt-4">
            <label class="block font-bold">Password Confirmation</label>
            <span class="italic text-red-500"
              >{{ form.password2.errors | safe }}</span
            >
            <input
              type="password"
              id="id_password2"
              name="password2"
              placeholder="Password Confirmation"
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-blue-600"
            />
          </div>
          <div class="flex items-baseline justify-between mt-6">
            <button
              class="inline-flex items-center text-white self-center shadow-md shadow-inner float-right bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2"
              type="submit"
            >
              Register
            </button>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
</div>
{% endblock %}